dep:Go依赖管理工具安装指南

介绍

dep是Go的依赖管理工具。它需要Go 1.9或更新版本才能编译。

使用dep可以快捷的拉取go项目的一些依赖包。

使用的前请确保已经正确配置好了go语言环境,如未安装go,请参考:Go语言环境搭建(CentOS 7)

安装

方法1:

UbuntuDebian可以使用sudo apt-get install go-dep命令来快捷安装,CentOS不适用。

方法2:

使用官方一键脚本安装

curl https://raw.githubusercontent.com/golang/dep/master/install.sh | sh

方法3:

使用go命令安装(推荐)

go get -u github.com/golang/dep/cmd/dep

注意

以上三种方法,dep安装成功之后默认路径都在go语言环境的gopath目录之下的bin文件里,请添加gopath目录下bin文件为系统环境变量,否则会出现command not found,环境变量配置请参考本文开头引用的go环境配置一文。

验证

在任意目录下执行命令dep,出现下图结果则安装正常,否则请参考注意部分的内容。

dep

版权声明:本站未注明转载的文章均为原创,版权归 rumosky 所有,且采用 CC-BY-NC-SA 4.0 知识共享协议授权
本文链接:https://rumosky.com/archives/100
所有转载文章须注明出处,保留原作者链接,并说明文章非原创,且不可用于商业目的
暂无评论

发送评论 编辑评论


				
|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇